<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui">

<ui:composition template="/WEB-INF/templates/template.xhtml">
	<ui:define name="content">

		<h:form>
			<p:outputLabel value="Beranda Prodi" />
			<p:inputText value="#{indexBean.npm}" />
			<p:commandButton value="Load Mahasiswa"
				actionListener="#{indexBean.loadMahasiswa()}" />
		</h:form>

		<h:form>
			<div class="ui-g">
				<div class="ui-g-12 ui-lg-1">
					<h:outputLabel for="idSemester" value="Id : " />
				</div>
				<div class="ui-g-12 ui-lg-10">
					<p:inputText id="idSemester"
						value="#{masterSemesterBean.idSemester}" required="true" />
				</div>

			</div>
			<table>
				<tr>
					<td></td>
					<td></td>
				</tr>
				<tr>
					<td><h:outputLabel for="namaSemester" value="Name : " /></td>
					<td><p:inputText id="namaSemester"
							value="#{masterSemesterBean.namaSemester}" required="true" /></td>
				</tr>
				<tr>
					<td><p:commandButton id="addSemester" value="Add"
							action="#{masterSemesterBean.save()}" ajax="false" /></td>
				</tr>
			</table>
		</h:form>
		<br></br>

		<h:form>
			<p:dataTable value="#{masterSemesterBean.masterSemesters}"
				var="semester" editable="true" rows="10" paginator="true"
				paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
				rowsPerPageTemplate="5,10,15">
				<p:column headerText="id semester" width="40" styleClass="center">
					<p:outputLabel value="#{semester.idSemester}" />
				</p:column>
				<p:column headerText="Nama Semester">
					<p:cellEditor>
						<f:facet name="output">
							<h:outputText value="#{semester.namaSemester}" />
						</f:facet>
						<f:facet name="input">
							<p:inputText id="modelInput" value="#{semester.namaSemester}"
								style="width:100%" />
						</f:facet>
					</p:cellEditor>
				</p:column>
				<p:column>
					<p:rowEditor />
				</p:column>
			</p:dataTable>
			<table>
				<tr>
					<td></td>
					<td></td>
				</tr>
				<tr>
				</tr>
				<tr>
					<td></td>
				</tr>
			</table>
		</h:form>
		<br></br>

		<h:form id="formInputSemseter">
			<p:panelGrid columns="2" layout="grid">
				<h:outputLabel for="idSemester" value="Id : " />
				<p:inputText id="idSemester"
					value="#{masterSemesterBean.semester.idSemester}" required="true" />

				<h:outputLabel for="namaSemester" value="Name : " />
				<p:inputText id="namaSemester"
					value="#{masterSemesterBean.semester.namaSemester}" required="true" />

				<p:commandButton id="addSemester" value="Add" actionListener="#{masterSemesterBean.save()}" update=":formDataTable:tableSemester, formInputSemseter">
				</p:commandButton>
				

			</p:panelGrid>
		</h:form>

		<h:form id="formDataTable">
			<p:dataTable id="tableSemester" var="mastersms" 
				value="#{masterSemesterBean.masterSemesters}">
				<f:facet name="header">  
            				Master Semester 
         				</f:facet>

				<p:column headerText="idSemester" width="10%">
					<h:outputText value="#{mastersms.idSemester} #{periodeSemester.masterTahunAkademik.idTahunAkademik}" />
				</p:column>
				<p:column headerText="Semester">
					<h:outputText value="#{mastersms.namaSemester}" />
				</p:column>
				<p:column headerText="aksi">
					<p:commandButton value="edit"
						actionListener="#{masterSemesterBean.edit(mastersms)}"
						update="formInputSemseter" />
				</p:column>
			</p:dataTable>

		</h:form>
		
				<h:form id="formInputMhs">
			<p:panelGrid columns="4" layout="grid">
				<h:outputLabel for="npm" value="Npm : " />
				<p:inputText id="npm" value="#{mahasiswaBean.mhs.npm}"
					required="true" />

				<h:outputLabel for="nama" value="Nama : " />
				<p:inputText id="nama" value="#{mahasiswaBean.mhs.namaMahasiswa}"
					required="true" />

			</p:panelGrid>
		</h:form>


	</ui:define>
</ui:composition>
</html>

